package com.patzn.lims.staff.service.impl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.BaseServiceImpl;
import com.patzn.lims.staff.entity.LmsStaffItem;
import com.patzn.lims.staff.mapper.LmsStaffItemMapper;
import com.patzn.lims.staff.service.ILmsStaffItemService;
import com.patzn.lims.staff.vo.LmsStaffItemVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 人员管理-人员关联检测项目 服务实现类
 * </p>
 *
 * @author patzn
 * @since 2017-11-03
 */
@Service
public class LmsStaffItemServiceImpl extends BaseServiceImpl<LmsStaffItemMapper, LmsStaffItem> implements ILmsStaffItemService {

    @Override
    public Page<LmsStaffItemVO> pageVO(Page<LmsStaffItemVO> page, LmsStaffItemVO lmsStaffItemVO) {
        return page.setRecords(baseMapper.selectPageVO(page, lmsStaffItemVO));
    }


    @Override
    public List<LmsStaffItemVO> listVO(LmsStaffItemVO lmsStaffItemVO) {
        return baseMapper.selectPageVO(lmsStaffItemVO);
    }


    @Override
    public LmsStaffItemVO getVOById(Long id) {
        return baseMapper.selectVOById(id);
    }
}
